# -*- coding: utf-8 -*-
# Copyright 2017-TODAY LasLabs Inc.
# License MIT (https://opensource.org/licenses/MIT).

from .abstract_item import AbstractItem


class Extract(AbstractItem):
    """Cannabis extracts are created from the flowers of the cannabis plant.

     Various methods for creating cannabis extracts have been perfected over
     thousands of years.

    Cannabis Reports recognizes 10 main types of extracts:

    * `Kief <https://www.cannabisreports.com/extract-reports/kief>`_
    * `Hash <https://www.cannabisreports.com/extract-reports/hash>`_
    * `Water-Hash <https://www.cannabisreports.com/extract-reports/
       water-hash>`_
    * `Oil <https://www.cannabisreports.com/extract-reports/oil>`_
    * `Wax <https://www.cannabisreports.com/extract-reports/wax>`_
    * `Crumble <https://www.cannabisreports.com/extract-reports/crumble>`_
    * `Honeycomb <https://www.cannabisreports.com/extract-reports/honeycomb>`_
    * `Shatter <https://www.cannabisreports.com/extract-reports/shatter>`_
    * `Vaporizer-Disposable <https://www.cannabisreports.com/extract-reports/
      vaporizer-disposable>`_
    * `Vaporizer-Cartridge <https://www.cannabisreports.com/extract-reports/
      vaporizer-cartridge>`_

    Each extract is tied to a strain and the producer who created it. For more
    information about cannabis extracts, check out the `FAQ
    <https://www.cannabisreports.com/faq/typesconsumption/
    what-is-a-cannabis-extract>`_
    """
